API Explorer 896 endpoints

Delete obp_developer_faq by id

DELETE /obp/dynamic-entity/obp_developer_faq/OBP_DEVELOPER_FAQ_ID

OBPv4.0.0-dynamicEntity_deleteobp_developer_faq_ Roles: CanDeleteDynamicEntityRecord_obp_developer_faq(per bank) _Obp_developer_faqDynamic-EntityDynamic

Delete obp_developer_faq by id

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"obp_developer_faq"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "question": "What are rate limits?",
  "answer": "Rate limits control how many API requests you can make in a period. **Higher tiers** include more generous limits.",
  "opey_prompt": "Explain rate limits on this API and how I can see my consumer's current limits.",
  "category": "Products and pricing",
  "chat_room_id": "",
  "chat_joining_key": "",
  "sort_order": 10
}
Example success response
{
  "obp_developer_faq": {
    "obp_developer_faq_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "question": "What are rate limits?",
    "answer": "Rate limits control how many API requests you can make in a period. **Higher tiers** include more generous limits.",
    "opey_prompt": "Explain rate limits on this API and how I can see my consumer's current limits.",
    "category": "Products and pricing",
    "chat_room_id": "",
    "chat_joining_key": "",
    "sort_order": 10
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_deleteobp_developer_faq_ Originally /obp_developer_faq/OBP_DEVELOPER_FAQ_ID